com.verisign.epp.interfaces

## Class EPPLaunch

- java.lang.Object
- - com.verisign.epp.interfaces.EPPLaunch

-     public class EPPLaunch
      extends java.lang.Object

  `EPPLaunch` is the primary client interface class used for launch EPP extension. This interface class is only used for sending the Claims Check Command via the `sendCheck()` method. An instance of `EPPLaunch` is created with an initialized `EPPSession` , and can be used for more than one request within a single thread. A set of setter methods are provided to set the attributes before a call to one of the send action methods. The response returned from the send action methods are either instances of `EPPResponse` or instances of response classes in the `com.verisign.epp.codec.launch` package.
  See Also:
    `EPPResponse`, `EPPLaunchChkData`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PHASE_CLAIMS` Trademark claims phase 1 as defined by Trademark Clearinghouse model of displaying a claims notice to clients for domain names that match trademarks.
    `static java.lang.String` | `PHASE_CUSTOM` Post launch phase that is also referred to as "steady state".
    `static java.lang.String` | `PHASE_LANDRUSH` Post sunrise phase when non-trademark holders are allowed to register domain names with steps taken to address a large volume of initial registrations.
    `static java.lang.String` | `PHASE_OPEN` Post launch phase that is also referred to as "steady state".
    `static java.lang.String` | `PHASE_SUNRISE` Phase when trademark holders can submit registrations or applications with trademark information that can be validated by.
    `static java.lang.String` | `TYPE_AVAILABILITY` Constant used to specify the availability check form type
    `static java.lang.String` | `TYPE_CLAIMS` Constant used to specify the claims check form type

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPLaunch(EPPSession aSession)` Constructs an `EPPLaunch` given an initialized EPP session.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDomainName(java.lang.String aDomain)` Adds a domain name for use with `sendCheck()` method.
    `void` | `addExtension(EPPCodecComponent aExtension)` Adds a command extension object.
    `java.util.Vector` | `getExtensions()` Gets the command extensions.
    `EPPResponse` | `getResponse()` Gets the response associated with the last command.
    `protected void` | `resetLaunch()` Resets the domain instance to its initial state.
    `EPPResponse` | `sendCheck()` Sends a Claim Check Command, which is an extension of the Domain Check with the `EPPLaunchCheck` extension and the type set to the whether to execute a claims check command or an availability check command for a given phase. The required attributes have been set with the following methods: `addDomainName` - Adds a domain name to check if there is a matching trademark that requires a claims notice.
    `void` | `setExtensions(java.util.Vector aExtensions)` Sets the command extension objects.
    `void` | `setPhase(java.lang.String aPhase)` Sets the phase value.
    `void` | `setPhaseName(java.lang.String aPhaseName)` Sets the phase name value.
    `void` | `setTransId(java.lang.String aTransId)` Sets the client transaction identifier.
    `void` | `setType(java.lang.String aType)` Sets the check form type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PHASE_SUNRISE

          public static final java.lang.String PHASE_SUNRISE

      Phase when trademark holders can submit registrations or applications with trademark information that can be validated by.
      See Also:
        Constant Field Values

    - #### PHASE_LANDRUSH

          public static final java.lang.String PHASE_LANDRUSH

      Post sunrise phase when non-trademark holders are allowed to register domain names with steps taken to address a large volume of initial registrations.
      See Also:
        Constant Field Values

    - #### PHASE_CLAIMS

          public static final java.lang.String PHASE_CLAIMS

      Trademark claims phase 1 as defined by Trademark Clearinghouse model of displaying a claims notice to clients for domain names that match trademarks.
      See Also:
        Constant Field Values

    - #### PHASE_OPEN

          public static final java.lang.String PHASE_OPEN

      Post launch phase that is also referred to as "steady state". Servers MAY require additional trademark protection with this phase.
      See Also:
        Constant Field Values

    - #### PHASE_CUSTOM

          public static final java.lang.String PHASE_CUSTOM

      Post launch phase that is also referred to as "steady state". Servers MAY require additional trademark protection with this phase.
      See Also:
        Constant Field Values

    - #### TYPE_CLAIMS

          public static final java.lang.String TYPE_CLAIMS

      Constant used to specify the claims check form type
      See Also:
        Constant Field Values

    - #### TYPE_AVAILABILITY

          public static final java.lang.String TYPE_AVAILABILITY

      Constant used to specify the availability check form type
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPLaunch

          public EPPLaunch(EPPSession aSession)

      Constructs an `EPPLaunch` given an initialized EPP session.
      Parameters:
        `aSession` - Server session to use.

  - ### Method Detail

    - #### addExtension

          public void addExtension(EPPCodecComponent aExtension)

      Adds a command extension object.
      Parameters:
        `aExtension` - command extension object associated with the command

    - #### setExtensions

          public void setExtensions(java.util.Vector aExtensions)

      Sets the command extension objects.
      Parameters:
        `aExtensions` - command extension objects associated with the command

    - #### getExtensions

          public java.util.Vector getExtensions()

      Gets the command extensions.
      Returns:
        `Vector` of concrete `EPPCodecComponent` associated with the command if exists; `null` otherwise.

    - #### addDomainName

          public void addDomainName(java.lang.String aDomain)

      Adds a domain name for use with `sendCheck()` method.
      Parameters:
        `aDomain` - Domain name to add

    - #### sendCheck

          public EPPResponse sendCheck()
                                throws EPPCommandException

      Sends a Claim Check Command, which is an extension of the Domain Check with the `EPPLaunchCheck` extension and the type set to the whether to execute a claims check command or an availability check command for a given phase.
      The required attributes have been set with the following methods:
      - `addDomainName` - Adds a domain name to check if there is a matching trademark that requires a claims notice. More than one domain name can be checked in `sendCheck`.
      - `setPhase` - Sets the Claims Check Command phase. The value should be set to `PHASE_CLAIMS` when type is set to `TYPE_CLAIMS`; otherwise when type is set to `TYPE_AVAILABILITY` the availability check will be executed in the context of the defined phase.
      The optional attributes have been set with the following:
      - `setType` - Sets the type of the check as either a `TYPE_CLAIMS` for a claims check command or `TYPE_AVAILABILITY` for an availability check for a specific phase. The default type is `TYPE_CLAIMS`.
      - `setTransId` - Sets the client transaction identifier
      Returns:
        `EPPResponse` containing `EPPLaunchChkData` extension when the type attribute is `TYPE_CLAIMS` or `EPPDomainCheckResp` when the type attribute is `TYPE_AVAILABILITY`.
      Throws:
        `EPPCommandException` - Error executing the check command. Use `getResponse` to get the associated server error response.

    - #### resetLaunch

          protected void resetLaunch()

      Resets the domain instance to its initial state.

    - #### getResponse

          public EPPResponse getResponse()

      Gets the response associated with the last command. This method can be used to retrieve the server error response in the catch block of EPPCommandException.
      Returns:
        Response associated with the last command

    - #### setTransId

          public void setTransId(java.lang.String aTransId)

      Sets the client transaction identifier.
      Parameters:
        `aTransId` - Client transaction identifier

    - #### setPhase

          public void setPhase(java.lang.String aPhase)

      Sets the phase value.
      Parameters:
        `aPhase` - Phase value, which should be one of the `PHASE` constants.

    - #### setPhaseName

          public void setPhaseName(java.lang.String aPhaseName)

      Sets the phase name value. The phase name represents either the sub-phase of the phase value or the custom phase name.
      Parameters:
        `aPhaseName` - Phase name

    - #### setType

          public void setType(java.lang.String aType)

      Sets the check form type. The XML schema defines the default as `TYPE_CLAIMS` if undefined.
      Parameters:
        `aType` - `TYPE_CLAIMS` or `TYPE_AVAILABILITY`